Loading...
Searching...
No Matches
p_Mult_q.h File Reference
`#include "misc/auxiliary.h"`
`#include "polys/monomials/ring.h"`

Go to the source code of this file.

## Macros

#define | MIN_LENGTH_BUCKET 25

## Functions

BOOLEAN | pqLength (poly p, poly q, int &lp, int &lq, const int min)
| return TRUE and lp == pLength(p), lq == pLength(q), if min(pLength(p), pLength(q)) >= min FALSE if min(pLength(p), pLength(q)) < min and lp >= lq if pLength(p) >= pLength(lq) lp < lq if pLength(p) < pLength(q)

## Macro Definition Documentation

## MIN_LENGTH_BUCKET

#define MIN_LENGTH_BUCKET 25

Definition at line 21 of file p_Mult_q.h.

## Function Documentation

## pqLength()

BOOLEAN pqLength | ( | poly | p,
|  | poly | q,
|  | int & | lp,
|  | int & | lq,
|  | const int | min )

return TRUE and lp == pLength(p), lq == pLength(q), if min(pLength(p), pLength(q)) >= min FALSE if min(pLength(p), pLength(q)) < min and lp >= lq if pLength(p) >= pLength(lq) lp < lq if pLength(p) < pLength(q)

Definition at line 31 of file p_Mult_q.cc.

{
int l = 0;
do
{
if (p == NULL)
{
lp = l;
if (l < min)
{
if (q != NULL)
lq = l+1;
else
lq = l;
return FALSE;
}
lq = l + pLength(q);
return TRUE;
}
pIter(p);
if (q == NULL)
{
lq = l;
if (l < min)
{
lp = l+1;
return FALSE;
}
lp = l + 1 + pLength(p);
return TRUE;
}
pIter(q);
l++;
}
while (1);
}
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97
l
int l
Definition cfEzgcd.cc:100
p
int p
Definition cfModGcd.cc:4086
min
static int min(int a, int b)
Definition fast_mult.cc:268
pIter
#define pIter(p)
Definition monomials.h:37
lq
Definition lq.h:40
NULL
#define NULL
Definition omList.c:12
pLength
static int pLength(poly a)
Definition p_polys.h:190